org.eclipse.actf.visualization.ui

## Interface IVisualizationView

All Superinterfaces:
  EventListener, IACTFReportGenerator, IAdaptable, IMediatorEventListener, IPersistable, IViewPart, IWorkbenchPart

    public interface IVisualizationView
    extends IACTFReportGenerator

Interface to implement visualization views.

See Also:
  `IACTFReportGenerator`

### Field Summary

Fields
`static String` `DETAILED_REPROT_VIEW_ID` View ID of detailed report view
`static String` `ID_BLINDVIEW` View ID of blind visualization view
`static String` `ID_LOWVISIONVIEW` View ID of low vision visualization view
`static String` `ID_PRESENTATIONVIEW` View ID of presentation visualization view
`static int` `MODE_DEFAULT` ID of default mode
`static int` `MODE_LOWVISION` ID of low vision mode
`static String` `SUMMARY_REPORT_VIEW_ID` View ID of summary report view

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Method Summary

Methods
`void` `doVisualize()` Invoke visualization
`IBaseLabelProvider` `getLabelProvider()` Get label provider to show evaluation result
`int` `getResultTableMode()` Get visualization mode to show evaluation result
`ViewerSorter` `getTableSorter()` Get sorter to show evaluation result
`void` `setInfoMessage(String infoMessage)` Set information message to status line. * `VisualizationStatusLineContributionItem` can be used for implementation.
`void` `setStatusMessage(String statusMessage)` Set status message to status line.
`void` `setVisualizeMode(int mode)` Set visualization mode

### Methods inherited from interface org.eclipse.ui.IViewPart

`getViewSite, init, init, saveState`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.actf.mediator.IMediatorEventListener

`modelserviceChanged, modelserviceInputChanged, reportChanged, reportGeneratorChanged`

### Field Detail

#### ID_BLINDVIEW

    static final String ID_BLINDVIEW

View ID of blind visualization view

See Also:
  Constant Field Values

#### ID_LOWVISIONVIEW

    static final String ID_LOWVISIONVIEW

View ID of low vision visualization view

See Also:
  Constant Field Values

#### ID_PRESENTATIONVIEW

    static final String ID_PRESENTATIONVIEW

View ID of presentation visualization view

See Also:
  Constant Field Values

#### DETAILED_REPROT_VIEW_ID

    static final String DETAILED_REPROT_VIEW_ID

View ID of detailed report view

See Also:
  Constant Field Values

#### SUMMARY_REPORT_VIEW_ID

    static final String SUMMARY_REPORT_VIEW_ID

View ID of summary report view

See Also:
  Constant Field Values

#### MODE_DEFAULT

    static final int MODE_DEFAULT

ID of default mode

See Also:
  Constant Field Values

#### MODE_LOWVISION

    static final int MODE_LOWVISION

ID of low vision mode

See Also:
  Constant Field Values

### Method Detail

#### getLabelProvider

    IBaseLabelProvider getLabelProvider()

Get label provider to show evaluation result

Returns:
  `IBaseLabelProvider`

#### getTableSorter

    ViewerSorter getTableSorter()

Get sorter to show evaluation result

Returns:
  `ViewerSorter`

#### setStatusMessage

    void setStatusMessage(String statusMessage)

Set status message to status line. `VisualizationStatusLineContributionItem` can be used for implementation.

Parameters:
  `statusMessage` - status message

#### setInfoMessage

    void setInfoMessage(String infoMessage)

Set information message to status line. * `VisualizationStatusLineContributionItem` can be used for implementation.

Parameters:
  `infoMessage` - information message

#### setVisualizeMode

    void setVisualizeMode(int mode)

Set visualization mode

Parameters:
  `mode` - visualization mode

#### getResultTableMode

    int getResultTableMode()

Get visualization mode to show evaluation result

Returns:
  visualization mode

#### doVisualize

    void doVisualize()

Invoke visualization